STOFFGraphicStyle Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
STOFFGraphicStyle Class Reference

Class to store a graphic style. More...

`#include <STOFFGraphicStyle.hxx>`

## Public Member Functions
| STOFFGraphicStyle ()
| constructor More...
void | addTo (librevenge::RVNGPropertyList &propList) const
| add to the propList More...
bool | operator== (STOFFGraphicStyle const &graphicStyle) const
| operator== More...
bool | operator!= (STOFFGraphicStyle const &graphicStyle) const
| operator!= More...

## Public Attributes
librevenge::RVNGPropertyList | m_propertyList
| the property list More...
bool | m_hasBackground
| true if background attribute is set More...

## Friends
std::ostream & | operator<< (std::ostream &o, STOFFGraphicStyle const &graphicStyle)
| operator<< More...

## Detailed Description

Class to store a graphic style.

## Constructor & Destructor Documentation

STOFFGraphicStyle::STOFFGraphicStyle | ( |  | ) |

constructor

## Member Function Documentation

void STOFFGraphicStyle::addTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add to the propList

Referenced by STOFFGraphicListener::_handleFrameParameters(), STOFFGraphicListener::insertPicture(), STOFFGraphicListener::insertShape(), and STOFFSpreadsheetListener::insertShape().

bool STOFFGraphicStyle::operator!= | ( | STOFFGraphicStyle const & | graphicStyle | ) | const
| inline

operator!=

bool STOFFGraphicStyle::operator== | ( | STOFFGraphicStyle const & | graphicStyle | ) | const

operator==

Referenced by operator!=().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | STOFFGraphicStyle const & | graphicStyle
| ) |  |
| friend

operator<<

## Member Data Documentation

bool STOFFGraphicStyle::m_hasBackground

true if background attribute is set

Referenced by StarGraphicAttribute::StarGAttributeBool::addTo(), operator==(), and StarObjectSmallGraphicInternal::SdrGraphicText::sendTextZone().

librevenge::RVNGPropertyList STOFFGraphicStyle::m_propertyList

the property list

Referenced by addTo(), StarGraphicAttribute::StarGAttributeBool::addTo(), StarGraphicAttribute::StarGAttributeInt::addTo(), StarGraphicAttribute::StarGAttributeUInt::addTo(), StarGraphicAttribute::StarGAttributeBorder::addTo(), StarGraphicAttribute::StarGAttributeBrush::addTo(), StarGraphicAttribute::StarGAttributeNamedArrow::addTo(), StarGraphicAttribute::StarGAttributeNamedBitmap::addTo(), StarGraphicAttribute::StarGAttributeNamedColor::addTo(), StarGraphicAttribute::StarGAttributeNamedDash::addTo(), StarGraphicAttribute::StarGAttributeNamedGradient::addTo(), StarGraphicAttribute::StarGAttributeNamedHatch::addTo(), StarGraphicAttribute::StarGAttributeShadow::addTo(), StarItemPool::defineGraphicStyle(), STOFFGraphicListener::defineStyle(), STOFFSpreadsheetListener::defineStyle(), STOFFSpreadsheetListener::insertTextBox(), STOFFSpreadsheetListener::openFrame(), operator<<(), operator==(), SDGParser::parse(), StarObjectSmallGraphicInternal::SdrGraphicText::sendTextZone(), StarObjectSmallGraphicInternal::SdrGraphic::updateStyle(), and StarObjectSmallGraphicInternal::SdrGraphicAttribute::updateStyle().

The documentation for this class was generated from the following files:

- STOFFGraphicStyle.hxx
- STOFFGraphicStyle.cxx